unit demogifanimmain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, gifanim;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    myGifAnim : TGifAnim;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  myGifAnim := TGifAnim.Create(self);
  myGifAnim.Parent:=self;
  myGifAnim.FileName:=ExtractFilePath(ParamStr(0))+'fpc_logo.gif';
  myGifAnim.Animate:=True;                   //animieren
  myGifAnim.Color:=clBtnFace;                //hintergrundfarbe

end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  myGifAnim.Free;
end;

end.

